#!/bin/bash

if ! [ -x "$(command -v git)" ]; then
    echo 'Error: git is not installed.' >&2
    exit 1
fi

# OR

if ! command -v crystal &> /dev/null
then
    echo "<the_command> could not be found"
    exit
fi